close all

clear all

fidresp  = fopen('c://temp//resp.txt','wt');

for NPonto = 1:1

VPonto = 551;%round(rand*1436);

for IndRuido=1:1
	
	[Resp,RPos] = LeDadoIt(VPonto);
	RPos'
	fprintf(fidresp, '%d, ',VPonto);
	fprintf(fidresp, '%d, %d, %d, ',RPos');
	
	if IndRuido > 1
		ruido = randn(18,50).*(0.000488*(2^(IndRuido-2))); Resp = Resp + ruido;
	end
	compA2b;
	%PosicaoMinima
	%PosicaoMinima2
	%PosicaoMinima3

	for ind=1:11
%		Loc(ind)
		[ans,RPosf] = LeDadoIt(Loc(ind));
		RPosf'
		pont(ind,:) = RPosf';
		difer = sqrt(sum(((RPosf - RPos).^2)))
		diferenca(ind) = sqrt(sum(((RPosf - RPos).^2)));
		fprintf(fidresp, '%d, ',IndRuido);
		fprintf(fidresp, '%d, %d, %d, \n', RPosf');
	end
	Media(IndRuido) = mean(diferenca)
	SDev(IndRuido)  =  std(diferenca)		
	PontoMedio = mean(pont)
	Sigmax(IndRuido) = std(pont(:,1))
	Sigmay(IndRuido) = std(pont(:,2))
	Sigmaz(IndRuido) = std(pont(:,3))	
	ErroPM(IndRuido) = sqrt(sum((PontoMedio - RPos').^2))	 

end
end

figure, plot(diferenca)
figure, plot(ErroPM)
figure, plot(Sigmax)
figure, plot(Sigmay)
figure, plot(Sigmaz)


fclose(fidresp)

%pause
%for ind=1:11
%	Loc5(ind)
%	[ans,RPosf] = LeDadoIt(Loc5(ind));
%	RPosf'
%	diferenca = sqrt(sum(((RPosf - RPos).^2)))
%end
%pause
%for ind=1:11
%	LocR(ind)
%	[ans,RPosf] = LeDadoIt(LocR(ind));
%	RPosf'
%	diferenca = sqrt(sum(((RPosf - RPos).^2)))
%end